# hare-scfg

This package provides [scfg][scfg] support for Hare.

## Provided modules

- **format::scfg**: scfg primitives and scanning support.

## Installation

### From your distribution

The recommended name for this package is "hare-scfg". Look for this, or
something similar, in your local package manager. This is the preferred way to
install this package.

### System-wide installation

```
make install
```

### Vendoring

```
git subtree -P vendor/hare-scfg/ add https://git.sr.ht/~chrisppy/hare-scfg main
```

## Contributing

All contributors are required to "sign-off" their commits (using `git commit
-s`) to indicate that they have agreed to the [Developer Certificate of
Origin][dco]:

Please send patches to my [public-inbox][list] to send your changes upstream.

## Licensing

Like the Hare standard library, this library is available under the terms of the
Mozilla Public License (MPL). You can freely link to the standard library with
software distributed under any license, but if you modify the library, you must
release your derivative works under the MPL as well.

[dco]: https://developercertificate.org/
[list]: https://lists.sr.ht/~chrisppy/public-inbox
[scfg]: https://git.sr.ht/~emersion/scfg
